<?php
$template = <<<END
<!--{def item/title}-->
<!-- kids7_grid: グリッド -->
<section class="kids7_grid {val item/class}">
<h2 class="c"><span class="fade-in-text">{val item/title}</span><span class="small" style="display:block;padding-top: 0.5rem;opacity: 0.5;">{val item/subtitle}</span></h2>
<div class="list-grid1">
<!--{each item/list}-->
<div class="list blur">
<figure><img src="user_data/{val item/list/image}" alt=""></figure>
<div class="text">
<h4>{val item/list/title}</h4>
<div class="markdown-body">{rval item/list/text}</div>
</div>
<!--{def item/list/link}-->
<p class="btn"><a href="{val item/list/link}">詳しくみる</a></p>
<!--{/def}-->
</div>
<!--{/each}-->
</div>
<!--/.list-grid1-->
</section>
<!--{/def}-->
END;

$kids7_grid = array(
		"title" => "kids7 グリッド",
		"name" => "kids7_grid",			// 名称、重複すると正しく動作しません
		"template" => $template,		// ブロックのテンプレート
		"input" => array(
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=block_step",
			"class" => "notice",
		),
			"title" => array(
				"title" => "タイトル",
				"type" => "text",
			),
			"subtitle" => array(
				"title" => "サブタイトル",
				"type" => "text",
			),
			"class" => array(
				"title" => "背景",
				"type" => "select",
				"list" => array(
					"" => "なし",
					"bg1" => "あり",
				),
			),
			"dummy1" => array(
				"title" => " ",
				"type" => "comment",
			),
			"title1" => array(
				"title" => "タイトル1",
				"type" => "text",
			),
			"image1" => array(
				"title" => "画像１",
				"type" => "image",
			),
			"text1" => array(
				"title" => "内容1",
				"type" => "textarea",
			),
			"link1" => array(
				"title" => "リンク先1",
				"type" => "text",
			),
			"dummy2" => array(
				"title" => " ",
				"type" => "comment",
			),
			"title2" => array(
				"title" => "タイトル2",
				"type" => "text",
			),
			"image2" => array(
				"title" => "画像2",
				"type" => "image",
			),
			"text2" => array(
				"title" => "内容2",
				"type" => "textarea",
				"info" => "1行が表の1行です。列は|で区切ります。",
			),
			"link2" => array(
				"title" => "リンク先2",
				"type" => "text",
			),
			"dummy3" => array(
				"title" => " ",
				"type" => "comment",
			),
			"title3" => array(
				"title" => "タイトル3",
				"type" => "text",
			),
			"image3" => array(
				"title" => "画像3",
				"type" => "image",
			),
			"text3" => array(
				"title" => "内容3",
				"type" => "textarea",
			),
			"link3" => array(
				"title" => "リンク先3",
				"type" => "text",
			),
			"dummy4" => array(
				"title" => " ",
				"type" => "comment",
			),
			"title4" => array(
				"title" => "タイトル4",
				"type" => "text",
			),
			"image4" => array(
				"title" => "画像4",
				"type" => "image",
			),
			"text4" => array(
				"title" => "内容4",
				"type" => "textarea",
			),
			"link4" => array(
				"title" => "リンク先4",
				"type" => "text",
			),
			"dummy5" => array(
				"title" => " ",
				"type" => "comment",
			),
			"title5" => array(
				"title" => "タイトル5",
				"type" => "text",
			),
			"image5" => array(
				"title" => "画像5",
				"type" => "image",
			),
			"text5" => array(
				"title" => "内容5",
				"type" => "textarea",
			),
			"link5" => array(
				"title" => "リンク先5",
				"type" => "text",
			),
			"dummy6" => array(
				"title" => " ",
				"type" => "comment",
			),
			"title6" => array(
				"title" => "タイトル6",
				"type" => "text",
			),
			"image6" => array(
				"title" => "画像6",
				"type" => "image",
			),
			"text6" => array(
				"title" => "内容6",
				"type" => "textarea",
			),
			"link6" => array(
				"title" => "リンク先6",
				"type" => "text",
			),
		),
		"repeat" => array(
			"title", "image", "text", "link",
		),
	);

block_add($kids7_grid);
