<?php
$template = <<<END
<!-- kids7_kiji1: 記事 -->
<section class="{val item/bg} kids7_kiji1">
<div class="list-half {val item/pos}">
<div class="text">
<h2><span class="fade-in-text">{val item/title}</span><img src="user_data/{val item/point_file}" alt="" class="pop1"></h2>
<p class="markdown-body">{rval item/text}</p>
<!--{def item/link_text}-->
<p class="btn1"><a href="{val item/link}" class="arrow1">{val item/link_text}</a></p>
<!--{/def}-->
</div>
<div class="image">
<img src="user_data/{val item/image_file}" alt="" class="{val item/effect}">
</div>
</div>
<!--/.list-half-->
</section>
END;

$kids7_kiji1 = array(
		"title" => "kids7 記事1",
		"name" => "kids7_kiji1",			// 名称、重複すると正しく動作しません
		"template" => $template,		// ブロックのテンプレート
		"input" => array(
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=kids7_kiji1",
			"class" => "notice",
		),
			"title" => array(
				"title" => "タイトル",
				"type" => "text",
			),
			"point" => array(
				"title" => "ワンポイント",
				"type" => "image",
			),
			"text" => array(
				"title" => "文章",
				"type" => "textarea",
			),
			"image" => array(
				"title" => "画像",
				"type" => "image",
			),
			"bg" => array(
				"title" => "背景",
				"type" => "select",
				"list" => array(
					"" => "なし",
					"bg1" => "あり",
				),
			),
			"pos" => array(
				"title" => "画像配置",
				"type" => "select",
				"list" => array(
					"" => "左",
					"reverse" => "右",
				),
			),
			"effect" => array(
				"title" => "画像効果",
				"type" => "select",
				"list" => array(
					"" => "なし",
					"mask1" => "マスク",
					"shadow1" => "影付き",
				),
			),
			"link_text" => array(
				"title" => "リンク名",
				"type" => "text",
			),
			"link" => array(
				"title" => "リンク先URL",
				"type" => "text",
			),
		),
	);

block_add($kids7_kiji1);
